Get Import Job Progress (V2)
This operation gets the progress of the specified bulk-import job.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The request requires jobId; it may be combined with clusterId, combined with both projectId and regionId, or supplied alone.
The ID of the import job in concern
The ID of a cluster to which this operation applies.
The request requires jobId; it may be combined with clusterId, combined with both projectId and regionId, or supplied alone.
The ID of the import job in concern
The ID of a project to which this operation applies.
The ID of a region to which this operation applies.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2"
}'
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "ali-cn-hangzhou"
}'
成功
Response object containing the description of the import job.
Response code.
Response payload which contains the progress of the specified bulk-import job in detail.
The ID of this bulk-import job.
The name of the target collection of this bulk-import job.
Name of the imported file.
The uploaded file size in bytes.
The state of this bulk-import job.
The progress in percentage of the current bulk-import job.
The timestamp indicating when the bulk-import job is complete.
The reason for the failure to bulk import data. The field value stays empty if this job succeeds.
The number of rows in the specified collection.
Statistics on data import oriented to data files.
Statistics on data import from a file.
The name of a data file.
The size of the data file.
The processing state of the data file.
The progress in percentage.
The timestamp at which the file is processed.
The reason for the failure to bulk import data. This field stays empty if this job succeeds.
The number of rows in the specified collection upon the import from this file is complete.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"jobId": "448761313698322011",
"collectionName": "medium_articles",
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:55Z",
"reason": "",
"totalRows": 100000,
"details": [
{
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:53Z",
"reason": ""
}
]
}
}